aboutsummaryrefslogtreecommitdiffstats
path: root/contrib/build
diff options
context:
space:
mode:
authorLibravatarLarge Libravatar memdmp <memdmpestrogenzone>2025-01-03 01:03:27 +0100
committerLibravatarLarge Libravatar memdmp <memdmpestrogenzone>2025-01-03 01:03:27 +0100
commite6359a9ceb5fba89ab0d152ce6ead2da7b8afa57 (patch)
tree0751a2a4b358f850dac8c83a4ee74a155c6c6e59 /contrib/build
parenta912704a1fdc06622466c9887051e1e0b2f5d42f (diff)
downloadcgit-oci-e6359a9ceb5fba89ab0d152ce6ead2da7b8afa57.tar.gz
cgit-oci-e6359a9ceb5fba89ab0d152ce6ead2da7b8afa57.tar.bz2
cgit-oci-e6359a9ceb5fba89ab0d152ce6ead2da7b8afa57.tar.lz
cgit-oci-e6359a9ceb5fba89ab0d152ce6ead2da7b8afa57.zip

feat: a sensible setup, for once

Diffstat (limited to 'contrib/build')
-rwxr-xr-xcontrib/build6
1 files changed, 6 insertions, 0 deletions
diff --git a/contrib/build b/contrib/build
new file mode 100755
index 0000000..f071a5d
--- /dev/null
+++ b/contrib/build
@@ -0,0 +1,6 @@
+#!/bin/zsh
+set -eax
+IMG="${IMG:-"docker.io/memdmp/cgit:${TAG:-"local-build"}"}"
+! podman container exists cgit >/dev/null 2>/dev/null || podman container rm cgit
+! podman image exists "$IMG" >/dev/null 2>/dev/null || podman image rm "$IMG"
+podman build -t "$IMG" .